package com.ynet.life.loaf.jdbc;

import com.ynet.life.loaf.LoafTools;
import com.ynet.life.loaf.TableConfig;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_loaf_jdbc.jar:com/ynet/life/loaf/jdbc/LoafQueryCommon.class */
public abstract class LoafQueryCommon implements LoafQueryInterface {
    protected String itsQueryTable;
    protected String itsQueryFields;
    protected String itsQueryCondition;
    protected String itsQueryOrder;
    protected String itsQuerySql;
    protected boolean isSingleTableQuery;
    protected int itsMaxNumber;

    @Override // com.ynet.life.loaf.jdbc.LoafQueryInterface
    public abstract PreparedStatement getQueryByPageStatement(Connection connection, List list, int i, int i2) throws SQLException;

    public LoafQueryCommon(String itsQueryFields, String itsQueryOrder, String itsQuerySql) {
        this.isSingleTableQuery = true;
        this.itsMaxNumber = 0;
        this.itsQueryFields = itsQueryFields;
        this.itsQueryOrder = itsQueryOrder;
        this.itsQuerySql = itsQuerySql;
        this.isSingleTableQuery = false;
    }

    public LoafQueryCommon(Map context, TableConfig tableConfig, Map resultKColl, String sortParam) {
        this.isSingleTableQuery = true;
        this.itsMaxNumber = 0;
        Map dataToTableMap = tableConfig.getDataToTableFieldHashMap();
        StringBuffer querySql = new StringBuffer("SELECT ");
        String tableName = tableConfig.getTableName();
        for (String dataField : dataToTableMap.keySet()) {
            if (resultKColl.containsKey(dataField)) {
                String tableField = (String) dataToTableMap.get(dataField);
                querySql.append(tableField).append(",");
            }
        }
        LoafTools.removeLastComma(querySql);
        this.itsQueryFields = querySql.toString();
        this.itsQueryTable = tableName;
        querySql.append(" FROM ").append(tableName);
        StringBuffer conditionSql = new StringBuffer();
        for (String dataFieldName : dataToTableMap.keySet()) {
            if (context.containsKey(dataFieldName)) {
                String dataFieldValue = (String) context.get(dataFieldName);
                if ((tableConfig.getSearchKeySet().size() > 0 && tableConfig.getSearchKeySet().contains(dataFieldName)) || (tableConfig.getSearchKeySet().size() == 0 && dataFieldValue != null && dataFieldValue.length() > 0)) {
                    String tableFieldName = (String) dataToTableMap.get(dataFieldName);
                    if (conditionSql.length() > 0) {
                        conditionSql.append(" AND ");
                    }
                    conditionSql.append(tableFieldName).append("=?");
                }
            }
        }
        this.itsQueryCondition = conditionSql.toString();
        if (this.itsQueryCondition.length() > 0) {
            querySql.append(" WHERE ").append(conditionSql);
        }
        this.itsQueryOrder = sortParam;
        this.itsQuerySql = querySql.toString();
    }

    @Override // com.ynet.life.loaf.jdbc.LoafQueryInterface
    public void setMaxNumber(int maxNumber) {
        this.itsMaxNumber = maxNumber;
    }

    public String toString() {
        return this.itsQuerySql;
    }
}
